version: "3.7"
services:
  db:
    image: postgres:11-alpine
    expose:
      - "5431" # Publishes 5433 to other containers but NOT to host machine
    restart: unless-stopped
    environment:
      POSTGRES_DB: {{ db_name }}
      POSTGRES_PASSWORD: {{ db_password}}
      POSTGRES_USER: {{ db_user }}
    volumes:
      - db-data:/opt/wikijs/postgresql/data
    command: -p 5431
  wikijs:
    image: ghcr.io/requarks/wiki:2
    ports:
      - 3000:3000
    depends_on:
      - db
    environment:
      DB_TYPE: postgres
      DB_HOST: db
      DB_PORT: 5431
      DB_USER: {{ db_user }}
      DB_PASS: {{ db_password }}
      DB_NAME: {{ db_name }}
    restart: unless-stopped
volumes:
  db-data:
